## MmGdbusModem MmGdbusModem — Generated C code for the org.freedesktop.ModemManager1.Modem D-Bus interface |

## Functions

guint | mm_gdbus_modem_get_access_technologies ()
const gchar *const * | mm_gdbus_modem_get_bearers ()
gchar ** | mm_gdbus_modem_dup_bearers ()
GVariant * | mm_gdbus_modem_get_current_modes ()
GVariant * | mm_gdbus_modem_dup_current_modes ()
GVariant * | mm_gdbus_modem_get_current_bands ()
GVariant * | mm_gdbus_modem_dup_current_bands ()
guint | mm_gdbus_modem_get_current_capabilities ()
const gchar * | mm_gdbus_modem_get_device ()
gchar * | mm_gdbus_modem_dup_device ()
const gchar * | mm_gdbus_modem_get_device_identifier ()
gchar * | mm_gdbus_modem_dup_device_identifier ()
const gchar *const * | mm_gdbus_modem_get_drivers ()
gchar ** | mm_gdbus_modem_dup_drivers ()
const gchar * | mm_gdbus_modem_get_equipment_identifier ()
gchar * | mm_gdbus_modem_dup_equipment_identifier ()
const gchar * | mm_gdbus_modem_get_manufacturer ()
gchar * | mm_gdbus_modem_dup_manufacturer ()
guint | mm_gdbus_modem_get_max_active_bearers ()
guint | mm_gdbus_modem_get_max_bearers ()
const gchar * | mm_gdbus_modem_get_model ()
gchar * | mm_gdbus_modem_dup_model ()
const gchar *const * | mm_gdbus_modem_get_own_numbers ()
gchar ** | mm_gdbus_modem_dup_own_numbers ()
const gchar * | mm_gdbus_modem_get_plugin ()
gchar * | mm_gdbus_modem_dup_plugin ()
guint | mm_gdbus_modem_get_power_state ()
const gchar * | mm_gdbus_modem_get_primary_port ()
gchar * | mm_gdbus_modem_dup_primary_port ()
GVariant * | mm_gdbus_modem_get_ports ()
GVariant * | mm_gdbus_modem_dup_ports ()
const gchar * | mm_gdbus_modem_get_revision ()
gchar * | mm_gdbus_modem_dup_revision ()
const gchar * | mm_gdbus_modem_get_carrier_configuration ()
gchar * | mm_gdbus_modem_dup_carrier_configuration ()
const gchar * | mm_gdbus_modem_get_carrier_configuration_revision ()
gchar * | mm_gdbus_modem_dup_carrier_configuration_revision ()
const gchar * | mm_gdbus_modem_get_hardware_revision ()
gchar * | mm_gdbus_modem_dup_hardware_revision ()
GVariant * | mm_gdbus_modem_get_signal_quality ()
GVariant * | mm_gdbus_modem_dup_signal_quality ()
const gchar * | mm_gdbus_modem_get_sim ()
gchar * | mm_gdbus_modem_dup_sim ()
GVariant * | mm_gdbus_modem_get_supported_capabilities ()
GVariant * | mm_gdbus_modem_dup_supported_capabilities ()
gint | mm_gdbus_modem_get_state ()
guint | mm_gdbus_modem_get_state_failed_reason ()
GVariant * | mm_gdbus_modem_get_supported_bands ()
GVariant * | mm_gdbus_modem_dup_supported_bands ()
guint | mm_gdbus_modem_get_supported_ip_families ()
GVariant * | mm_gdbus_modem_get_supported_modes ()
GVariant * | mm_gdbus_modem_dup_supported_modes ()
guint | mm_gdbus_modem_get_unlock_required ()
GVariant * | mm_gdbus_modem_get_unlock_retries ()
GVariant * | mm_gdbus_modem_dup_unlock_retries ()
void | mm_gdbus_modem_call_enable ()
gboolean | mm_gdbus_modem_call_enable_finish ()
gboolean | mm_gdbus_modem_call_enable_sync ()
void | mm_gdbus_modem_call_set_power_state ()
gboolean | mm_gdbus_modem_call_set_power_state_finish ()
gboolean | mm_gdbus_modem_call_set_power_state_sync ()
void | mm_gdbus_modem_call_create_bearer ()
gboolean | mm_gdbus_modem_call_create_bearer_finish ()
gboolean | mm_gdbus_modem_call_create_bearer_sync ()
void | mm_gdbus_modem_call_delete_bearer ()
gboolean | mm_gdbus_modem_call_delete_bearer_finish ()
gboolean | mm_gdbus_modem_call_delete_bearer_sync ()
void | mm_gdbus_modem_call_list_bearers ()
gboolean | mm_gdbus_modem_call_list_bearers_finish ()
gboolean | mm_gdbus_modem_call_list_bearers_sync ()
void | mm_gdbus_modem_call_reset ()
gboolean | mm_gdbus_modem_call_reset_finish ()
gboolean | mm_gdbus_modem_call_reset_sync ()
void | mm_gdbus_modem_call_factory_reset ()
gboolean | mm_gdbus_modem_call_factory_reset_finish ()
gboolean | mm_gdbus_modem_call_factory_reset_sync ()
void | mm_gdbus_modem_call_set_current_modes ()
gboolean | mm_gdbus_modem_call_set_current_modes_finish ()
gboolean | mm_gdbus_modem_call_set_current_modes_sync ()
void | mm_gdbus_modem_call_set_current_bands ()
gboolean | mm_gdbus_modem_call_set_current_bands_finish ()
gboolean | mm_gdbus_modem_call_set_current_bands_sync ()
void | mm_gdbus_modem_call_set_current_capabilities ()
gboolean | mm_gdbus_modem_call_set_current_capabilities_finish ()
gboolean | mm_gdbus_modem_call_set_current_capabilities_sync ()
void | mm_gdbus_modem_call_command ()
gboolean | mm_gdbus_modem_call_command_finish ()
gboolean | mm_gdbus_modem_call_command_sync ()

## Properties

guint | access-technologies | Read / Write
GStrv | bearers | Read / Write
char * | carrier-configuration | Read / Write
char * | carrier-configuration-revision | Read / Write
GVariant * | current-bands | Read / Write
guint | current-capabilities | Read / Write
GVariant * | current-modes | Read / Write
char * | device | Read / Write
char * | device-identifier | Read / Write
GStrv | drivers | Read / Write
char * | equipment-identifier | Read / Write
char * | hardware-revision | Read / Write
char * | manufacturer | Read / Write
guint | max-active-bearers | Read / Write
guint | max-bearers | Read / Write
char * | model | Read / Write
GStrv | own-numbers | Read / Write
char * | plugin | Read / Write
GVariant * | ports | Read / Write
guint | power-state | Read / Write
char * | primary-port | Read / Write
char * | revision | Read / Write
GVariant * | signal-quality | Read / Write
char * | sim | Read / Write
int | state | Read / Write
guint | state-failed-reason | Read / Write
GVariant * | supported-bands | Read / Write
GVariant * | supported-capabilities | Read / Write
guint | supported-ip-families | Read / Write
GVariant * | supported-modes | Read / Write
guint | unlock-required | Read / Write
GVariant * | unlock-retries | Read / Write

## Signals

gboolean | handle-command | Run Last
gboolean | handle-create-bearer | Run Last
gboolean | handle-delete-bearer | Run Last
gboolean | handle-enable | Run Last
gboolean | handle-factory-reset | Run Last
gboolean | handle-list-bearers | Run Last
gboolean | handle-reset | Run Last
gboolean | handle-set-current-bands | Run Last
gboolean | handle-set-current-capabilities | Run Last
gboolean | handle-set-current-modes | Run Last
gboolean | handle-set-power-state | Run Last
void | state-changed | Run Last

## Types and Values

| MmGdbusModem
struct | MmGdbusModemIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusModem

## Prerequisites

MmGdbusModem requires GObject.

## Known Implementations

MmGdbusModem is implemented by MMModem, MmGdbusModemProxy and MmGdbusModemSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Modem D-Bus interface in C.

## Functions

### mm_gdbus_modem_get_access_technologies ()

    guint
    mm_gdbus_modem_get_access_technologies
                                   (MmGdbusModem *object);

Gets the value of the "AccessTechnologies" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_bearers ()

    const gchar *const *
    mm_gdbus_modem_get_bearers (MmGdbusModem *object);

Gets the value of the "Bearers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_bearers()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_bearers ()

    gchar **
    mm_gdbus_modem_dup_bearers (MmGdbusModem *object);

Gets a copy of the "Bearers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### mm_gdbus_modem_get_current_modes ()

    GVariant *
    mm_gdbus_modem_get_current_modes (MmGdbusModem *object);

Gets the value of the "CurrentModes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_current_modes()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_current_modes ()

    GVariant *
    mm_gdbus_modem_dup_current_modes (MmGdbusModem *object);

Gets a copy of the "CurrentModes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_current_bands ()

    GVariant *
    mm_gdbus_modem_get_current_bands (MmGdbusModem *object);

Gets the value of the "CurrentBands" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_current_bands()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_current_bands ()

    GVariant *
    mm_gdbus_modem_dup_current_bands (MmGdbusModem *object);

Gets a copy of the "CurrentBands" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_current_capabilities ()

    guint
    mm_gdbus_modem_get_current_capabilities
                                   (MmGdbusModem *object);

Gets the value of the "CurrentCapabilities" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_device ()

    const gchar *
    mm_gdbus_modem_get_device (MmGdbusModem *object);

Gets the value of the "Device" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_device()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_device ()

    gchar *
    mm_gdbus_modem_dup_device (MmGdbusModem *object);

Gets a copy of the "Device" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_device_identifier ()

    const gchar *
    mm_gdbus_modem_get_device_identifier (MmGdbusModem *object);

Gets the value of the "DeviceIdentifier" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_device_identifier()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_device_identifier ()

    gchar *
    mm_gdbus_modem_dup_device_identifier (MmGdbusModem *object);

Gets a copy of the "DeviceIdentifier" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_drivers ()

    const gchar *const *
    mm_gdbus_modem_get_drivers (MmGdbusModem *object);

Gets the value of the "Drivers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_drivers()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_drivers ()

    gchar **
    mm_gdbus_modem_dup_drivers (MmGdbusModem *object);

Gets a copy of the "Drivers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### mm_gdbus_modem_get_equipment_identifier ()

    const gchar *
    mm_gdbus_modem_get_equipment_identifier
                                   (MmGdbusModem *object);

Gets the value of the "EquipmentIdentifier" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_equipment_identifier()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_equipment_identifier ()

    gchar *
    mm_gdbus_modem_dup_equipment_identifier
                                   (MmGdbusModem *object);

Gets a copy of the "EquipmentIdentifier" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_manufacturer ()

    const gchar *
    mm_gdbus_modem_get_manufacturer (MmGdbusModem *object);

Gets the value of the "Manufacturer" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_manufacturer()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_manufacturer ()

    gchar *
    mm_gdbus_modem_dup_manufacturer (MmGdbusModem *object);

Gets a copy of the "Manufacturer" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_max_active_bearers ()

    guint
    mm_gdbus_modem_get_max_active_bearers (MmGdbusModem *object);

Gets the value of the "MaxActiveBearers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_max_bearers ()

    guint
    mm_gdbus_modem_get_max_bearers (MmGdbusModem *object);

Gets the value of the "MaxBearers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_model ()

    const gchar *
    mm_gdbus_modem_get_model (MmGdbusModem *object);

Gets the value of the "Model" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_model()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_model ()

    gchar *
    mm_gdbus_modem_dup_model (MmGdbusModem *object);

Gets a copy of the "Model" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_own_numbers ()

    const gchar *const *
    mm_gdbus_modem_get_own_numbers (MmGdbusModem *object);

Gets the value of the "OwnNumbers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_own_numbers()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_own_numbers ()

    gchar **
    mm_gdbus_modem_dup_own_numbers (MmGdbusModem *object);

Gets a copy of the "OwnNumbers" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_strfreev()`.

[transfer full][nullable]

### mm_gdbus_modem_get_plugin ()

    const gchar *
    mm_gdbus_modem_get_plugin (MmGdbusModem *object);

Gets the value of the "Plugin" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_plugin()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_plugin ()

    gchar *
    mm_gdbus_modem_dup_plugin (MmGdbusModem *object);

Gets a copy of the "Plugin" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_power_state ()

    guint
    mm_gdbus_modem_get_power_state (MmGdbusModem *object);

Gets the value of the "PowerState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_primary_port ()

    const gchar *
    mm_gdbus_modem_get_primary_port (MmGdbusModem *object);

Gets the value of the "PrimaryPort" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_primary_port()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_primary_port ()

    gchar *
    mm_gdbus_modem_dup_primary_port (MmGdbusModem *object);

Gets a copy of the "PrimaryPort" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_ports ()

    GVariant *
    mm_gdbus_modem_get_ports (MmGdbusModem *object);

Gets the value of the "Ports" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_ports()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_ports ()

    GVariant *
    mm_gdbus_modem_dup_ports (MmGdbusModem *object);

Gets a copy of the "Ports" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_revision ()

    const gchar *
    mm_gdbus_modem_get_revision (MmGdbusModem *object);

Gets the value of the "Revision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_revision()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_revision ()

    gchar *
    mm_gdbus_modem_dup_revision (MmGdbusModem *object);

Gets a copy of the "Revision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_carrier_configuration ()

    const gchar *
    mm_gdbus_modem_get_carrier_configuration
                                   (MmGdbusModem *object);

Gets the value of the "CarrierConfiguration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_carrier_configuration()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_carrier_configuration ()

    gchar *
    mm_gdbus_modem_dup_carrier_configuration
                                   (MmGdbusModem *object);

Gets a copy of the "CarrierConfiguration" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_carrier_configuration_revision ()

    const gchar *
    mm_gdbus_modem_get_carrier_configuration_revision
                                   (MmGdbusModem *object);

Gets the value of the "CarrierConfigurationRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_carrier_configuration_revision()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_carrier_configuration_revision ()

    gchar *
    mm_gdbus_modem_dup_carrier_configuration_revision
                                   (MmGdbusModem *object);

Gets a copy of the "CarrierConfigurationRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_hardware_revision ()

    const gchar *
    mm_gdbus_modem_get_hardware_revision (MmGdbusModem *object);

Gets the value of the "HardwareRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_hardware_revision()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_hardware_revision ()

    gchar *
    mm_gdbus_modem_dup_hardware_revision (MmGdbusModem *object);

Gets a copy of the "HardwareRevision" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_signal_quality ()

    GVariant *
    mm_gdbus_modem_get_signal_quality (MmGdbusModem *object);

Gets the value of the "SignalQuality" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_signal_quality()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_signal_quality ()

    GVariant *
    mm_gdbus_modem_dup_signal_quality (MmGdbusModem *object);

Gets a copy of the "SignalQuality" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_sim ()

    const gchar *
    mm_gdbus_modem_get_sim (MmGdbusModem *object);

Gets the value of the "Sim" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_sim()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_sim ()

    gchar *
    mm_gdbus_modem_dup_sim (MmGdbusModem *object);

Gets a copy of the "Sim" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem_get_supported_capabilities ()

    GVariant *
    mm_gdbus_modem_get_supported_capabilities
                                   (MmGdbusModem *object);

Gets the value of the "SupportedCapabilities" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_supported_capabilities()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_supported_capabilities ()

    GVariant *
    mm_gdbus_modem_dup_supported_capabilities
                                   (MmGdbusModem *object);

Gets a copy of the "SupportedCapabilities" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_state ()

    gint
    mm_gdbus_modem_get_state (MmGdbusModem *object);

Gets the value of the "State" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_state_failed_reason ()

    guint
    mm_gdbus_modem_get_state_failed_reason
                                   (MmGdbusModem *object);

Gets the value of the "StateFailedReason" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_supported_bands ()

    GVariant *
    mm_gdbus_modem_get_supported_bands (MmGdbusModem *object);

Gets the value of the "SupportedBands" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_supported_bands()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_supported_bands ()

    GVariant *
    mm_gdbus_modem_dup_supported_bands (MmGdbusModem *object);

Gets a copy of the "SupportedBands" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_supported_ip_families ()

    guint
    mm_gdbus_modem_get_supported_ip_families
                                   (MmGdbusModem *object);

Gets the value of the "SupportedIpFamilies" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_supported_modes ()

    GVariant *
    mm_gdbus_modem_get_supported_modes (MmGdbusModem *object);

Gets the value of the "SupportedModes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_supported_modes()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_supported_modes ()

    GVariant *
    mm_gdbus_modem_dup_supported_modes (MmGdbusModem *object);

Gets a copy of the "SupportedModes" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_get_unlock_required ()

    guint
    mm_gdbus_modem_get_unlock_required (MmGdbusModem *object);

Gets the value of the "UnlockRequired" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value.

### mm_gdbus_modem_get_unlock_retries ()

    GVariant *
    mm_gdbus_modem_get_unlock_retries (MmGdbusModem *object);

Gets the value of the "UnlockRetries" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem_dup_unlock_retries()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem_dup_unlock_retries ()

    GVariant *
    mm_gdbus_modem_dup_unlock_retries (MmGdbusModem *object);

Gets a copy of the "UnlockRetries" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem_call_enable ()

    void
    mm_gdbus_modem_call_enable (MmGdbusModem *proxy,
                                gboolean arg_enable,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously invokes the `Enable()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_enable_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_enable_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_enable | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_enable_finish ()

    gboolean
    mm_gdbus_modem_call_enable_finish (MmGdbusModem *proxy,
                                       GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `mm_gdbus_modem_call_enable()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_enable()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_enable_sync ()

    gboolean
    mm_gdbus_modem_call_enable_sync (MmGdbusModem *proxy,
                                     gboolean arg_enable,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously invokes the `Enable()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_enable()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_enable | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_power_state ()

    void
    mm_gdbus_modem_call_set_power_state (MmGdbusModem *proxy,
                                         guint arg_state,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `SetPowerState()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_set_power_state_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_set_power_state_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_state | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_set_power_state_finish ()

    gboolean
    mm_gdbus_modem_call_set_power_state_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_set_power_state()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_set_power_state()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_power_state_sync ()

    gboolean
    mm_gdbus_modem_call_set_power_state_sync
                                   (MmGdbusModem *proxy,
                                    guint arg_state,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetPowerState()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_set_power_state()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_state | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_create_bearer ()

    void
    mm_gdbus_modem_call_create_bearer (MmGdbusModem *proxy,
                                       GVariant *arg_properties,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `CreateBearer()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_create_bearer_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_create_bearer_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_create_bearer_finish ()

    gboolean
    mm_gdbus_modem_call_create_bearer_finish
                                   (MmGdbusModem *proxy,
                                    gchar **out_path,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_create_bearer()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
out_path | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_create_bearer()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_create_bearer_sync ()

    gboolean
    mm_gdbus_modem_call_create_bearer_sync
                                   (MmGdbusModem *proxy,
                                    GVariant *arg_properties,
                                    gchar **out_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateBearer()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_create_bearer()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_properties | Argument to pass with the method invocation. |
out_path | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_delete_bearer ()

    void
    mm_gdbus_modem_call_delete_bearer (MmGdbusModem *proxy,
                                       const gchar *arg_bearer,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `DeleteBearer()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_delete_bearer_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_delete_bearer_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_bearer | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_delete_bearer_finish ()

    gboolean
    mm_gdbus_modem_call_delete_bearer_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_delete_bearer()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_delete_bearer()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_delete_bearer_sync ()

    gboolean
    mm_gdbus_modem_call_delete_bearer_sync
                                   (MmGdbusModem *proxy,
                                    const gchar *arg_bearer,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `DeleteBearer()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_delete_bearer()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_bearer | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_list_bearers ()

    void
    mm_gdbus_modem_call_list_bearers (MmGdbusModem *proxy,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `ListBearers()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_list_bearers_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_list_bearers_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_list_bearers_finish ()

    gboolean
    mm_gdbus_modem_call_list_bearers_finish
                                   (MmGdbusModem *proxy,
                                    gchar ***out_bearers,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_list_bearers()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
out_bearers | Return location for return parameter or `NULL` to ignore. | [out][optional][array zero-terminated=1]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_list_bearers()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_list_bearers_sync ()

    gboolean
    mm_gdbus_modem_call_list_bearers_sync (MmGdbusModem *proxy,
                                           gchar ***out_bearers,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `ListBearers()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_list_bearers()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
out_bearers | Return location for return parameter or `NULL` to ignore. | [out][optional][array zero-terminated=1]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_reset ()

    void
    mm_gdbus_modem_call_reset (MmGdbusModem *proxy,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously invokes the `Reset()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_reset_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_reset_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_reset_finish ()

    gboolean
    mm_gdbus_modem_call_reset_finish (MmGdbusModem *proxy,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an operation started with `mm_gdbus_modem_call_reset()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_reset()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_reset_sync ()

    gboolean
    mm_gdbus_modem_call_reset_sync (MmGdbusModem *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Reset()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_reset()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_factory_reset ()

    void
    mm_gdbus_modem_call_factory_reset (MmGdbusModem *proxy,
                                       const gchar *arg_code,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `FactoryReset()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_factory_reset_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_factory_reset_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_code | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_factory_reset_finish ()

    gboolean
    mm_gdbus_modem_call_factory_reset_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_factory_reset()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_factory_reset()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_factory_reset_sync ()

    gboolean
    mm_gdbus_modem_call_factory_reset_sync
                                   (MmGdbusModem *proxy,
                                    const gchar *arg_code,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `FactoryReset()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_factory_reset()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_code | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_modes ()

    void
    mm_gdbus_modem_call_set_current_modes (MmGdbusModem *proxy,
                                           GVariant *arg_modes,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `SetCurrentModes()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_set_current_modes_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_set_current_modes_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_modes | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_set_current_modes_finish ()

    gboolean
    mm_gdbus_modem_call_set_current_modes_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_set_current_modes()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_set_current_modes()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_modes_sync ()

    gboolean
    mm_gdbus_modem_call_set_current_modes_sync
                                   (MmGdbusModem *proxy,
                                    GVariant *arg_modes,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetCurrentModes()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_set_current_modes()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_modes | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_bands ()

    void
    mm_gdbus_modem_call_set_current_bands (MmGdbusModem *proxy,
                                           GVariant *arg_bands,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `SetCurrentBands()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_set_current_bands_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_set_current_bands_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_bands | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_set_current_bands_finish ()

    gboolean
    mm_gdbus_modem_call_set_current_bands_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_set_current_bands()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_set_current_bands()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_bands_sync ()

    gboolean
    mm_gdbus_modem_call_set_current_bands_sync
                                   (MmGdbusModem *proxy,
                                    GVariant *arg_bands,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetCurrentBands()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_set_current_bands()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_bands | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_capabilities ()

    void
    mm_gdbus_modem_call_set_current_capabilities
                                   (MmGdbusModem *proxy,
                                    guint arg_capabilities,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetCurrentCapabilities()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_set_current_capabilities_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_set_current_capabilities_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_capabilities | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_set_current_capabilities_finish ()

    gboolean
    mm_gdbus_modem_call_set_current_capabilities_finish
                                   (MmGdbusModem *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem_call_set_current_capabilities()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_set_current_capabilities()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_set_current_capabilities_sync ()

    gboolean
    mm_gdbus_modem_call_set_current_capabilities_sync
                                   (MmGdbusModem *proxy,
                                    guint arg_capabilities,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetCurrentCapabilities()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_set_current_capabilities()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_capabilities | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_command ()

    void
    mm_gdbus_modem_call_command (MmGdbusModem *proxy,
                                 const gchar *arg_cmd,
                                 guint arg_timeout,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously invokes the `Command()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem_call_command_finish()` to get the result of the operation.

See `mm_gdbus_modem_call_command_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_cmd | Argument to pass with the method invocation. |
arg_timeout | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem_call_command_finish ()

    gboolean
    mm_gdbus_modem_call_command_finish (MmGdbusModem *proxy,
                                        gchar **out_response,
                                        GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `mm_gdbus_modem_call_command()`.

#### Parameters

proxy | A MmGdbusModemProxy. |
out_response | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem_call_command()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem_call_command_sync ()

    gboolean
    mm_gdbus_modem_call_command_sync (MmGdbusModem *proxy,
                                      const gchar *arg_cmd,
                                      guint arg_timeout,
                                      gchar **out_response,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously invokes the `Command()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem_call_command()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModemProxy. |
arg_cmd | Argument to pass with the method invocation. |
arg_timeout | Argument to pass with the method invocation. |
out_response | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusModem

    typedef struct _MmGdbusModem MmGdbusModem;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.

### struct MmGdbusModemIface

    struct MmGdbusModemIface {
      GTypeInterface parent_iface;

      gboolean (*handle_command) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_cmd,
        guint arg_timeout);

      gboolean (*handle_create_bearer) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_delete_bearer) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_bearer);

      gboolean (*handle_enable) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        gboolean arg_enable);

      gboolean (*handle_factory_reset) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_code);

      gboolean (*handle_list_bearers) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_reset) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_current_bands) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_bands);

      gboolean (*handle_set_current_capabilities) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        guint arg_capabilities);

      gboolean (*handle_set_current_modes) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_modes);

      gboolean (*handle_set_power_state) (
        MmGdbusModem *object,
        GDBusMethodInvocation *invocation,
        guint arg_state);

      guint  (*get_access_technologies) (MmGdbusModem *object);

      const gchar *const * (*get_bearers) (MmGdbusModem *object);

      const gchar * (*get_carrier_configuration) (MmGdbusModem *object);

      const gchar * (*get_carrier_configuration_revision) (MmGdbusModem *object);

      GVariant * (*get_current_bands) (MmGdbusModem *object);

      guint  (*get_current_capabilities) (MmGdbusModem *object);

      GVariant * (*get_current_modes) (MmGdbusModem *object);

      const gchar * (*get_device) (MmGdbusModem *object);

      const gchar * (*get_device_identifier) (MmGdbusModem *object);

      const gchar *const * (*get_drivers) (MmGdbusModem *object);

      const gchar * (*get_equipment_identifier) (MmGdbusModem *object);

      const gchar * (*get_hardware_revision) (MmGdbusModem *object);

      const gchar * (*get_manufacturer) (MmGdbusModem *object);

      guint  (*get_max_active_bearers) (MmGdbusModem *object);

      guint  (*get_max_bearers) (MmGdbusModem *object);

      const gchar * (*get_model) (MmGdbusModem *object);

      const gchar *const * (*get_own_numbers) (MmGdbusModem *object);

      const gchar * (*get_plugin) (MmGdbusModem *object);

      GVariant * (*get_ports) (MmGdbusModem *object);

      guint  (*get_power_state) (MmGdbusModem *object);

      const gchar * (*get_primary_port) (MmGdbusModem *object);

      const gchar * (*get_revision) (MmGdbusModem *object);

      GVariant * (*get_signal_quality) (MmGdbusModem *object);

      const gchar * (*get_sim) (MmGdbusModem *object);

      gint  (*get_state) (MmGdbusModem *object);

      guint  (*get_state_failed_reason) (MmGdbusModem *object);

      GVariant * (*get_supported_bands) (MmGdbusModem *object);

      GVariant * (*get_supported_capabilities) (MmGdbusModem *object);

      guint  (*get_supported_ip_families) (MmGdbusModem *object);

      GVariant * (*get_supported_modes) (MmGdbusModem *object);

      guint  (*get_unlock_required) (MmGdbusModem *object);

      GVariant * (*get_unlock_retries) (MmGdbusModem *object);

      void (*state_changed) (
        MmGdbusModem *object,
        gint arg_old,
        gint arg_new,
        guint arg_reason);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_command` () | Handler for the “handle-command” signal. |
`handle_create_bearer` () | Handler for the “handle-create-bearer” signal. |
`handle_delete_bearer` () | Handler for the “handle-delete-bearer” signal. |
`handle_enable` () | Handler for the “handle-enable” signal. |
`handle_factory_reset` () | Handler for the “handle-factory-reset” signal. |
`handle_list_bearers` () | Handler for the “handle-list-bearers” signal. |
`handle_reset` () | Handler for the “handle-reset” signal. |
`handle_set_current_bands` () | Handler for the “handle-set-current-bands” signal. |
`handle_set_current_capabilities` () | Handler for the “handle-set-current-capabilities” signal. |
`handle_set_current_modes` () | Handler for the “handle-set-current-modes” signal. |
`handle_set_power_state` () | Handler for the “handle-set-power-state” signal. |
`get_access_technologies` () | Getter for the “access-technologies” property. |
`get_bearers` () | Getter for the “bearers” property. |
`get_carrier_configuration` () | Getter for the “carrier-configuration” property. |
`get_carrier_configuration_revision` () | Getter for the “carrier-configuration-revision” property. |
`get_current_bands` () | Getter for the “current-bands” property. |
`get_current_capabilities` () | Getter for the “current-capabilities” property. |
`get_current_modes` () | Getter for the “current-modes” property. |
`get_device` () | Getter for the “device” property. |
`get_device_identifier` () | Getter for the “device-identifier” property. |
`get_drivers` () | Getter for the “drivers” property. |
`get_equipment_identifier` () | Getter for the “equipment-identifier” property. |
`get_hardware_revision` () | Getter for the “hardware-revision” property. |
`get_manufacturer` () | Getter for the “manufacturer” property. |
`get_max_active_bearers` () | Getter for the “max-active-bearers” property. |
`get_max_bearers` () | Getter for the “max-bearers” property. |
`get_model` () | Getter for the “model” property. |
`get_own_numbers` () | Getter for the “own-numbers” property. |
`get_plugin` () | Getter for the “plugin” property. |
`get_ports` () | Getter for the “ports” property. |
`get_power_state` () | Getter for the “power-state” property. |
`get_primary_port` () | Getter for the “primary-port” property. |
`get_revision` () | Getter for the “revision” property. |
`get_signal_quality` () | Getter for the “signal-quality” property. |
`get_sim` () | Getter for the “sim” property. |
`get_state` () | Getter for the “state” property. |
`get_state_failed_reason` () | Getter for the “state-failed-reason” property. |
`get_supported_bands` () | Getter for the “supported-bands” property. |
`get_supported_capabilities` () | Getter for the “supported-capabilities” property. |
`get_supported_ip_families` () | Getter for the “supported-ip-families” property. |
`get_supported_modes` () | Getter for the “supported-modes” property. |
`get_unlock_required` () | Getter for the “unlock-required” property. |
`get_unlock_retries` () | Getter for the “unlock-retries” property. |
`state_changed` () | Handler for the “state-changed” signal. |

## Property Details

### The `“access-technologies”` property

      “access-technologies”      guint

Represents the D-Bus property "AccessTechnologies".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“bearers”` property

      “bearers”                  GStrv

Represents the D-Bus property "Bearers".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

### The `“carrier-configuration”` property

      “carrier-configuration”    char *

Represents the D-Bus property "CarrierConfiguration".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“carrier-configuration-revision”` property

      “carrier-configuration-revision” char *

Represents the D-Bus property "CarrierConfigurationRevision".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“current-bands”` property

      “current-bands”            GVariant *

Represents the D-Bus property "CurrentBands".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<au>

Default value: NULL

### The `“current-capabilities”` property

      “current-capabilities”     guint

Represents the D-Bus property "CurrentCapabilities".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“current-modes”` property

      “current-modes”            GVariant *

Represents the D-Bus property "CurrentModes".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<(uu)>

Default value: NULL

### The `“device”` property

      “device”                   char *

Represents the D-Bus property "Device".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“device-identifier”` property

      “device-identifier”        char *

Represents the D-Bus property "DeviceIdentifier".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“drivers”` property

      “drivers”                  GStrv

Represents the D-Bus property "Drivers".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

### The `“equipment-identifier”` property

      “equipment-identifier”     char *

Represents the D-Bus property "EquipmentIdentifier".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“hardware-revision”` property

      “hardware-revision”        char *

Represents the D-Bus property "HardwareRevision".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“manufacturer”` property

      “manufacturer”             char *

Represents the D-Bus property "Manufacturer".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“max-active-bearers”` property

      “max-active-bearers”       guint

Represents the D-Bus property "MaxActiveBearers".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“max-bearers”` property

      “max-bearers”              guint

Represents the D-Bus property "MaxBearers".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“model”` property

      “model”                    char *

Represents the D-Bus property "Model".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“own-numbers”` property

      “own-numbers”              GStrv

Represents the D-Bus property "OwnNumbers".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

### The `“plugin”` property

      “plugin”                   char *

Represents the D-Bus property "Plugin".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“ports”` property

      “ports”                    GVariant *

Represents the D-Bus property "Ports".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<a(su)>

Default value: NULL

### The `“power-state”` property

      “power-state”              guint

Represents the D-Bus property "PowerState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“primary-port”` property

      “primary-port”             char *

Represents the D-Bus property "PrimaryPort".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“revision”` property

      “revision”                 char *

Represents the D-Bus property "Revision".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“signal-quality”` property

      “signal-quality”           GVariant *

Represents the D-Bus property "SignalQuality".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<(ub)>

Default value: NULL

### The `“sim”` property

      “sim”                      char *

Represents the D-Bus property "Sim".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: NULL

### The `“state”` property

      “state”                    int

Represents the D-Bus property "State".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“state-failed-reason”` property

      “state-failed-reason”      guint

Represents the D-Bus property "StateFailedReason".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“supported-bands”` property

      “supported-bands”          GVariant *

Represents the D-Bus property "SupportedBands".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<au>

Default value: NULL

### The `“supported-capabilities”` property

      “supported-capabilities”   GVariant *

Represents the D-Bus property "SupportedCapabilities".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<au>

Default value: NULL

### The `“supported-ip-families”` property

      “supported-ip-families”    guint

Represents the D-Bus property "SupportedIpFamilies".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“supported-modes”` property

      “supported-modes”          GVariant *

Represents the D-Bus property "SupportedModes".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<a(uu)>

Default value: NULL

### The `“unlock-required”` property

      “unlock-required”          guint

Represents the D-Bus property "UnlockRequired".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Default value: 0

### The `“unlock-retries”` property

      “unlock-retries”           GVariant *

Represents the D-Bus property "UnlockRetries".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem

Flags: Read / Write

Allowed values: GVariant<a{uu}>

Default value: NULL

## Signal Details

### The `“handle-command”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_cmd,
                   guint                  arg_timeout,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Command()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_command()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_cmd | Argument passed by remote caller. |
arg_timeout | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-create-bearer”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_properties,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateBearer()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_create_bearer()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-delete-bearer”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_bearer,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `DeleteBearer()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_delete_bearer()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_bearer | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-enable”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   gboolean               arg_enable,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Enable()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_enable()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_enable | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-factory-reset”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_code,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `FactoryReset()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_factory_reset()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_code | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-list-bearers”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ListBearers()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_list_bearers()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-reset”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Reset()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_reset()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-current-bands”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_bands,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetCurrentBands()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_set_current_bands()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_bands | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-current-capabilities”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   guint                  arg_capabilities,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetCurrentCapabilities()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_set_current_capabilities()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_capabilities | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-current-modes”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_modes,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetCurrentModes()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_set_current_modes()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_modes | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-power-state”` signal

    gboolean
    user_function (MmGdbusModem          *object,
                   GDBusMethodInvocation *invocation,
                   guint                  arg_state,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetPowerState()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem_complete_set_power_state()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem. |
invocation | A GDBusMethodInvocation. |
arg_state | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“state-changed”` signal

    void
    user_function (MmGdbusModem *object,
                   int           arg_old,
                   int           arg_new,
                   guint         arg_reason,
                   gpointer      user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "StateChanged" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A MmGdbusModem. |
arg_old | Argument. |
arg_new | Argument. |
arg_reason | Argument. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last